Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454778 - LTC:4.8:200770:Include Open Fabric Enterprise Distribution
Summary: LTC:4.8:200770:Include Open Fabric Enterprise Distribution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openib
Version: 4.8
Hardware: x86_64
OS: All
high
high
Target Milestone: beta
: 4.8
Assignee: Doug Ledford
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 457302 458123 478687 481599
TreeView+ depends on / blocked
 
Reported: 2008-07-09 22:30 UTC by IBM Bug Proxy
Modified: 2011-02-22 10:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 481599 (view as bug list)
Environment:
Last Closed: 2009-05-18 20:35:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 46211 None None None Never
Red Hat Product Errata RHBA-2009:1022 normal SHIPPED_LIVE openib bug fix and enhancement update 2009-05-18 14:44:10 UTC

Description IBM Bug Proxy 2008-07-09 22:30:20 UTC
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-07-09 17:29 EDT
1. Feature Id:	[200770]
Feature Name:	Include Open Fabric Enterprise Distribution
Sponsor:	xSeries
Category:	xSeries
Request Type:	Package - Feature from Upstream

2. Short Description
Include and support the InfiniBand driver and protocols released by OpenFabrics.org.  Need support
for Mellanox IB driver (drivers/infiniband/hw/mthca) which supports several IBM BladeCenter/Cluster
options.  This driver has the co -req of the OFED code.
 
 This request is to specifically update the OFED stack (and its corresponding drivers) to the latest
available version to ensure all known bug fixes are available for our customers.

3. Business Case
Cluster & Blade solutions use Voltaire, Cisco, & Topspin IB adapters.  System x needs to be able to
support: -Voltaire High Performance SDR InfiniBand Host Channel Adapter Expansion Card for IBM
BladeCenter -Voltaire High Performance DDR InfiniBand Host Channel Adapter Expansion Card for IBM
BladeCenter -Cisco Systems 4X InfiniBand HCA Expansion Card for IBM BladeCenter -Cisco Systems
InfiniBand HCA Expansion Card for IBM BladeCenter


4. Sponsor Priority	1
IBM Confidential:	no
Code Contribution:	3rd party code
Upstream Acceptance:	Accepted
Component Version Target:	1.3.1+
Performance Assistance:	no

5. PM Contact:	Monte Knutson, mknutson@us.ibm.com, 877-894-1495

6. Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

7. LTC Manager: Julio Alvarez, julioa@us.ibm.com

Comment 2 IBM Bug Proxy 2008-08-28 22:30:23 UTC
is this feature request accepted?

Comment 3 John Jarvis 2008-08-29 14:35:15 UTC
No, not yet accepted.  We are still early in the feature review process for 4.8.

Comment 4 John Jarvis 2008-10-06 19:17:34 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux team
for inclusion in a Red Hat Enterprise Linux minor release.   As a result of this
evaluation, Red Hat has tentatively approved inclusion of this feature in the
next Red Hat Enterprise Linux Update minor release.   While it is a goal to
include this enhancement in the next minor release of Red Hat Enterprise Linux,
the enhancement is not yet committed for inclusion in the next minor release
pending the next phase of actual code integration and successful Red Hat and
partner testing.

Comment 6 Gurhan Ozen 2009-02-17 00:52:17 UTC
4.8 is updated to and verified with ofed 1.4 .

Comment 7 IBM Bug Proxy 2009-03-04 00:10:45 UTC
Installed OFED 1.4 in RHEL4.8 alpha (2.6.9-81.ELsmp) on a pair of IBM HS21 blades connected by a DDR switch. The install and startup of the openibd , related libraries and modules worked without errors. Performed client/server tests of ib_uverbs and ib_ipoib interfaces. All the tests completed successfully and performed as expected.

Comment 9 errata-xmlrpc 2009-05-18 20:35:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1022.html

Comment 10 IBM Bug Proxy 2011-02-22 10:05:39 UTC
------- Comment From prem.karat@linux.vnet.ibm.com 2011-02-22 04:50 EDT-------
(In reply to comment #10)
> An advisory has been issued which should help the problem
> described in this bug report. This report is therefore being
> closed with a resolution of ERRATA. For more information
> on therefore solution and/or where to find the updated files,
> please follow the link below. You may reopen this bug report
> if the solution does not work for you.
>
> http://rhn.redhat.com/errata/RHBA-2009-1022.html

***Reviewed as a part of clean up activity********

Closing this one out as per the last comment

Cheers,
Prem


Note You need to log in before you can comment on or make changes to this bug.